using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class BemsZoneActivate {
        public BemsZoneActivate() {
            BemsZoneActivateDaily = new HashSet<BemsZoneActivateDaily>();
        }

        //존 가동율 기준정보
        [Display(Name = "현장고유번호"), Key]
        public int SiteId { get; set; }
        [Display(Name = "건물번호"), Key]
        public int BuildingId { get; set; }
        [Display(Name = "존코드"), Key]
        public int ZoneId { get; set; }
        [Display(Name = "냉난방구분"), Key]
        public short? ServiceTypeId { get; set; }
        [Display(Name = "부하량")]
        public int? Loads { get; set; }
        [Display(Name = "가동율")]
        public double? RateOfWork { get; set; }
        [Display(Name = "사용여부")]
        public bool? IsUse { get; set; }

        [ForeignKey("SiteId,BuildingId,ZoneId")]
        public virtual BemsZone BemsZone { get; set; }
        [ForeignKey("ServiceTypeId")]
        public virtual BemsServiceType ServiceType { get; set; }
        [InverseProperty("BemsZoneActivate")]
        public virtual ICollection<BemsZoneActivateDaily> BemsZoneActivateDaily { get; set; }
    }
}
